Loading...
Searching...
No Matches
Magick::boxColorImage Class Reference

## Public Member Functions

| boxColorImage (const Color &boxColor_)
void | operator() (Image &image_) const

## Private Attributes

Color | _boxColor

## Detailed Description

Definition at line 1310 of file STL.h.

## Constructor & Destructor Documentation

## boxColorImage()

Magick::boxColorImage::boxColorImage | ( | const Color & | boxColor_ | ) |

Definition at line 1215 of file STL.cpp.

: _boxColor( boxColor_ ) { }

## Member Function Documentation

## operator()()

void Magick::boxColorImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1218 of file STL.cpp.

{
image_.boxColor( _boxColor );
}

## Field Documentation

## _boxColor

Color Magick::boxColorImage::_boxColor

private

Definition at line 1318 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp